State transmission
GET
https://api.ai4mproject.com/v1/transmission/statesScope: risk_scoresReturns, for the country and each of the 37 states, when reported malaria is expected to be highest in the year, and the malaria positivity measured at each national survey. See Transmission dynamics for how these are worked out.
Parameters
Section titled “Parameters”None.
Request
Section titled “Request”curl "https://api.ai4mproject.com/v1/transmission/states" \ -H "Authorization: Bearer $AI4M_API_KEY"report = client.get_transmission()for state in report.states: print(state.state, state.season.peak_month, state.season.season_months)const report = await client.getTransmission();for (const state of report.states) { console.log(state.state, state.season.peak_month, state.season.season_months);}report, err := client.Transmission(ctx)if err != nil { log.Fatal(err)}for _, state := range report.States { fmt.Println(state.State, state.Season.PeakMonth, state.Season.SeasonMonths)}Response
Section titled “Response”Months are numbered 1 (January) to 12. Arrays of twelve values run January to December.
| Field | Type | Description |
|---|---|---|
method |
object | How the season is worked out, and under check how it compared with independent monthly records of cases |
national.season |
object | The season for the country as a whole, with the fields below |
national.survey_trend[] |
array | One entry per survey round, with the fields below and urban and rural positivity |
states[].state_code |
string | Two-letter state code |
states[].state |
string | State name |
states[].zone |
string | Geopolitical zone |
states[].season.peak_month |
integer | The month reported cases are expected to be highest |
states[].season.season_start_month |
integer | First month of the high season |
states[].season.season_end_month |
integer | Last month of the high season |
states[].season.season_months |
integer | Length of the high season in months |
states[].season.high_months |
integer[] | Every month at half the peak or more |
states[].season.seasonal_index |
number[] | Expected level of reported cases in each month, as a share of the peak month |
states[].survey_trend[].survey_year |
integer | 2010, 2015, 2018 or 2021 |
states[].survey_trend[].positivity |
number | Share of children aged 6 to 59 months who tested positive, from 0 to 1 |
states[].survey_trend[].low, high |
number or null | 95% range for the positivity |
states[].survey_trend[].clusters |
integer | Survey locations in the state that round |
states[].survey_trend[].children_tested |
integer | Children tested in the state that round |
states[].survey_trend[].small_sample |
boolean | true when fewer than 100 children were tested |
{ "method": { "cases_follow_rain_by_months": 1, "high_season_share_of_peak": 0.5, "description": "Expected seasonal level of reported cases: each LGA's usual rainfall by calendar month, moved one month later and scaled to its peak month. The high season is the run of months at half the peak or more around the peak month, carried across a single lower month.", "check": { "series": 7, "states": [ "Borno", "Enugu", "FCT", "Kwara", "Nasarawa", "Zamfara" ], "median_correlation": 0.875, "mean_months_off": 0.56, "mean_months_peak_is_off": 1.14 } }, "national": { "season": { "peak_month": 8, "season_start_month": 6, "season_end_month": 11, "season_months": 6, "high_months": [ 6, 7, 8, 9, 10, 11 ], "seasonal_index": [ 0.034, 0.037, 0.076, 0.202, 0.356, 0.608, 0.827, 1, 0.99, 0.976, 0.65, 0.15 ] }, "survey_trend": [ { "survey_year": 2010, "positivity": 0.473, "low": 0.433, "high": 0.512, "clusters": 234, "children_tested": 5133, "small_sample": false, "urban": 0.322, "rural": 0.529 }, { "survey_year": 2015, "positivity": 0.432, "low": 0.398, "high": 0.466, "clusters": 317, "children_tested": 5886, "small_sample": false, "urban": 0.239, "rural": 0.534 }, { "survey_year": 2018, "positivity": 0.384, "low": 0.368, "high": 0.401, "clusters": 1136, "children_tested": 10411, "small_sample": false, "urban": 0.251, "rural": 0.468 }, { "survey_year": 2021, "positivity": 0.384, "low": 0.361, "high": 0.407, "clusters": 548, "children_tested": 10656, "small_sample": false, "urban": 0.257, "rural": 0.436 } ] }, "states": [ { "state_code": "KN", "state": "Kano", "zone": "North West", "season": { "peak_month": 9, "season_start_month": 8, "season_end_month": 10, "season_months": 3, "high_months": [ 8, 9, 10 ], "seasonal_index": [ 0, 0.001, 0.002, 0.007, 0.039, 0.217, 0.382, 0.756, 1, 0.587, 0.044, 0.003 ] }, "survey_trend": [ { "survey_year": 2010, "positivity": 0.385, "low": 0.252, "high": 0.519, "clusters": 10, "children_tested": 288, "small_sample": false }, { "survey_year": 2015, "positivity": 0.556, "low": 0.295, "high": 0.817, "clusters": 7, "children_tested": 153, "small_sample": false }, { "survey_year": 2018, "positivity": 0.438, "low": 0.357, "high": 0.519, "clusters": 48, "children_tested": 491, "small_sample": false }, { "survey_year": 2021, "positivity": 0.576, "low": 0.489, "high": 0.662, "clusters": 18, "children_tested": 528, "small_sample": false } ] }, { "state_code": "LA", "state": "Lagos", "zone": "South West", "season": { "peak_month": 7, "season_start_month": 6, "season_end_month": 11, "season_months": 6, "high_months": [ 6, 7, 8, 10, 11 ], "seasonal_index": [ 0.036, 0.059, 0.101, 0.21, 0.368, 0.609, 1, 0.619, 0.252, 0.625, 0.578, 0.194 ] }, "survey_trend": [ { "survey_year": 2010, "positivity": 0.253, "low": 0.038, "high": 0.468, "clusters": 9, "children_tested": 95, "small_sample": true }, { "survey_year": 2015, "positivity": 0.021, "low": 0.006, "high": 0.037, "clusters": 9, "children_tested": 188, "small_sample": false }, { "survey_year": 2018, "positivity": 0.042, "low": 0.016, "high": 0.068, "clusters": 39, "children_tested": 287, "small_sample": false }, { "survey_year": 2021, "positivity": 0.029, "low": 0, "high": 0.064, "clusters": 15, "children_tested": 171, "small_sample": false } ] } ]}The example shows two of the 37 states.
Reading the result
Section titled “Reading the result”- The season says when cases are expected to be highest, not how high. Malaria is transmitted all year in Nigeria.
- Treat
peak_monthas accurate to about a month. The high season as a whole is more reliable than the single peak month. - State survey figures from 2010 and 2015 rest on few children. Use
lowandhigh, and checksmall_sample.
Errors
Section titled “Errors”| Code | Status | When |
|---|---|---|
SCOPE_REQUIRED |
403 | The key does not include the scope this endpoint needs |
TRANSMISSION_DATA_UNAVAILABLE |
503 | The transmission data has not been loaded on the server |
Any request can also return 401 for a bad key and 429 when a limit is reached. See Errors.